From eaa4552a3732114f11e3e838beca7cdae78b5e0b Mon Sep 17 00:00:00 2001
From: Lionel Gauthier <lionel.gauthier@eurecom.fr>
Date: Wed, 14 Jan 2015 15:34:27 +0000
Subject: [PATCH] hss hostname in config

git-svn-id: http://svn.eurecom.fr/openair4G/trunk@6373 818b1a75-f10b-46b9-bf7c-635c3b92a50f
---
 targets/build_helper.bash | 3 ++-
 targets/build_oai.bash    | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/targets/build_helper.bash b/targets/build_helper.bash
index e752d28702..d046e7cc03 100755
--- a/targets/build_helper.bash
+++ b/targets/build_helper.bash
@@ -307,7 +307,8 @@ check_install_freediamter(){
 
 
 test_is_host_reachable() {
-    ping -c 1 $1 > /dev/null || { echo_fatal "$1 does not respond to ping" >&2 ; }
+    ping -c 1 $1 > /dev/null || { echo_fatal "$2 host $1 does not respond to ping" >&2 ; }
+    echo_success "$2 host $1 is reachable"
 }
 
 
diff --git a/targets/build_oai.bash b/targets/build_oai.bash
index 86df94ac8d..9023e97c4e 100755
--- a/targets/build_oai.bash
+++ b/targets/build_oai.bash
@@ -563,6 +563,7 @@ build_epc(){
     
     TEMP_FILE=`tempfile`
     VARIABLES=" S6A_CONF\|\
+           HSS_HOSTNAME\|\
            REALM"
 
     VARIABLES=$(echo $VARIABLES | sed -e 's/\\r//g')
@@ -802,7 +803,7 @@ if [ $RUN -ne 0 ]; then
         
         'EPC')
             echo "############# running EPC #############"
-            #test_is_host_reachable 
+            test_is_host_reachable $HSS_HOSTNAME.$REALM HSS
             if [ $RUN_GDB -eq 0 ]; then
                 $SUDO $OPENAIR_TARGETS/bin/oai_epc  `echo $EXE_ARGUMENTS`
             else
-- 
GitLab